Bug 161769 - databases/postgresql91-server: su: unknown login: %%PG_USER%%
databases/postgresql91-server: su: unknown login: %%PG_USER%%
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: Chris Rees
Depends on:
  Show dependency treegraph
Reported: 2011-10-18 12:00 UTC by ohartman
Modified: 2011-10-20 20:44 UTC (History)
0 users

See Also:

file.diff (587 bytes, patch)
2011-10-18 12:00 UTC, ohartman
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ohartman 2011-10-18 12:00:20 UTC
While updating port databases/postgresql91-server, the PostgreSQL server won't start afterwards. Neither reboot nor manual restart via /usr/local/etc/rc.d/postgres restart|start will work.

Fix: Somehow, the verbose, nonnumerical UID of user pgsql gets lost while the package is beeing built and installed. As a dirty hack, one can fix the problem in the installed startup script residing in /usr/local/etc/rc.d as shown below.
How-To-Repeat: Update port databases/postgresql91-server or install fresh.
Comment 1 Edwin Groothuis freebsd_committer 2011-10-18 12:00:32 UTC
Responsible Changed
From-To: freebsd-ports-bugs->girgen

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 cvs-src 2011-10-18 12:45:15 UTC
Should be fixed now (Thanks, Palle). Would you update your ports, then 
try again?


Tinderboxing kills... the drives.
Comment 3 michael.harding 2011-10-19 15:27:31 UTC
I can confirm that a portsnap upgrade and rebuild of postgresql does -not- =
fix this issue.=
Comment 4 ohartman 2011-10-19 18:06:43 UTC
On 10/19/11 16:27, Harding, Michael wrote:
> I can confirm that a portsnap upgrade and rebuild of postgresql does -not- fix this issue.
the same here.

Comment 5 dfilter freebsd_committer 2011-10-19 19:21:41 UTC
crees       2011-10-19 18:21:25 UTC

  FreeBSD ports repository

  Modified files:
    databases/postgresql82-server Makefile 
    databases/postgresql83-server Makefile 
    databases/postgresql84-server Makefile 
    databases/postgresql90-server Makefile 
    databases/postgresql91-server Makefile 
  Fix SUB_LIST issue by deconditionalising it.
  Temporary fix, but will stop the flurry of incoming PRs related.
  PR:             ports/161779 ports/161774 ports/161791 ports/161771 ports/161769
  Submitted by:   Many people, original fix suggested by Jason Helfman (jhelfman@e-e.com)
  Approved by:    portmgr (pav)
  Revision  Changes    Path
  1.202     +4 -3      ports/databases/postgresql82-server/Makefile
  1.215     +4 -3      ports/databases/postgresql83-server/Makefile
  1.233     +4 -3      ports/databases/postgresql84-server/Makefile
  1.228     +4 -3      ports/databases/postgresql90-server/Makefile
  1.229     +4 -3      ports/databases/postgresql91-server/Makefile
cvs-all@freebsd.org mailing list
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 utisoft 2011-10-20 16:42:03 UTC
Should be better after the referenced commit.

Let me know if it's still broken.

Comment 7 Chris Rees freebsd_committer 2011-10-20 20:44:42 UTC
State Changed
From-To: open->closed

Take and close-- fixed. 

Comment 8 Chris Rees freebsd_committer 2011-10-20 20:44:42 UTC
Responsible Changed
From-To: girgen->crees

Take and close-- fixed.